{
	"factory": {
		"id": "common-profile",
		"type": "entaxy.runtime.profile"
	},
	"entaxy.runtime.profile": {
		"displayName": "Common system profile"
	},
	"fields": {
		"systemName": {
			"type": "String",
			"required": true,
			"immutable": true
		},
		"description": {
			"type": "String"
		},
		"useDefaultRoute": {
			"type": "Boolean",
			"required": true,
			"defaultValue": true
		},
		"defaultRoute": {
			"type": "entaxy.runtime.default-route",
			"isRef": true,
			/* actually there's no reference, but the object must be in a model */
			/* so while producing we must check the defaultRoute is found */
			"isBackRef": true,
			/* but only if useDefaultRoute is set to true */
			"condition": "${useDefaultRoute}",
			"required": true,
			"immutable": true,
			"defaultValue": {
				"type": "entaxy.runtime.default-route",
				"factoryId": "default-route",
				"properties": {
					"description": "Default route for ${systemName}"
				}
			}
			
		}
	},
	"outputs": {
		"init": {
			"isDefault": true
		}
	}

}